-- Uppsala University - Digital Electronics Design with VHDL, 1FA326
-- Copyright (c) 2020 Henrik Alfken <henke.uu.se@inbox.lv>
-- Lab 0b - Test bench for AND gate
library ieee;
use ieee.std_logic_1164.all;

entity TBtestAND is end TBtestAND;  -- Closed system.
architecture rtl of TBtestAND is
  constant clkPrd : time := 20 ns;
--  signal CLK: std_logic := '0';
  signal a  : std_logic := '0';
  signal b  : std_logic := '0';
  signal c  : std_logic;
  component testAND port (
--    CLK : in std_logic;
    aIN : in std_logic;
    bIN : in std_logic;
    cOUT:out std_logic);
  end component;
begin -- Instantiate the Unit Under Test:
  unitUnderTest : testAND port map (
--    CLK  => CLK,
    aIN  => a,
    bIN  => b,
    cOUT => c
  );  -- End of port map.
--  clockProcess : process begin
--    CLK <= '0';
--    wait for clkPrd/2;
--    CLK <= '1';
--    wait for clkPrd/2;
--  end process clockProcess;
  stimulusProcess : process begin
    wait for clkPrd/2;
    a <= '1';
    wait for clkPrd;
    a <= '0';
    b <= '1';
    wait for clkPrd;
    a <= '1';
    wait for clkPrd;
    a <= '0';
    b <= '0';
    wait;
  end process stimulusProcess;
end rtl;
